<div class="plc user">
	<div class="plc-menu">
		报警备注管理
	</div>
	<div class="plc-content">
		<div class="row">
			<div class="col-sm-12" ng-if="config.canEdit">
				<div class="text-16">
					<div class="public-horizon-form">
						<div class="public-horizon">
							<label class="horizon-label label-4">设备类型：</label>
		                        <div class="horizon-group horizon-col-3">
		                            <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceTypeInput)}">
		                                <input ng-init="deviceTypeInput=false" ng-focus="deviceTypeInput=true"
		                                       ng-keyup="upModel('deviceCode')" ng-disabled="true"
		                                       ng-blur="deviceTypeInput=false" type="text"
		                                       value="" placeholder="搜索" class="form-control ad-left-child"
		                                       ng-model="config.resourceTypeDesc" ng-change="deviceTypeChanged('T')">
		                                <i class="fa fa-search ad-right-child focus" ng-click="ResourceTypeList()"
		                                   ng-if="config.showResourceTypeIcon"></i>
		                                <i class="ion-ios-close-outline ad-right-child focus"
		                                   ng-click="deleteAll()" ng-if="!config.showResourceTypeIcon"></i>
		                            </div>
		                        </div>
                         
                         <div class="one-line-btns">
                         	<input type="checkbox" ng-model="config.checkStatus"  style="vertical-align: middle;">
							<label style="vertical-align: middle;margin-top:7px;">启用</label>
						</div>
						<div class="one-line-btns">
							<button type="button" namd="Set focus button" class="btn btn-primary addBtn" ng-disabled="config.disabledSearchBtn" ng-click="search();">查询</button>
							<button type="button" namd="Set focus button" class="btn btn-primary addBtn" ng-disabled="config.disabledAddBtn" ng-click="addRows();">新增</button>
							<input type="number" min="1" name="addRowNum" ng-if="config.showRowNum" ng-model="config.addRowsNum" class="one-line-row form-control">
							<label class="control-label" ng-if="config.showRowNum">行</label>
						</div>

						<div class="one-line-btns">
							<button type="button" namd="Set focus button" ng-disabled="config.btnDisabledDelete" class="btn btn-primary deleteBtn" ng-click="checkAndDeleteSelectedRows();">删除</button>
						</div>
						<div class="save-btn pull-right one-line-btns">
							<button type="button" namd="Set focus button" class="btn btn-primary saveBtn pull-right" ng-click="saveAllAcitons();" ng-disabled="config.btnDisabledSave">保存</button>
						</div>
					</div>
					</div>
				</div>
			</div>
			<div class="col-sm-12">
				<div class="andon-grid">
				<div id="plc-protocol-type-grid" ui-grid="alertCommentGridOptions" class="myGrid"
					 ui-grid-edit ui-grid-cellnav ui-grid-selection
					 ui-grid-validate ui-grid-auto-resize
					 class="plc-protocol-type-grid ad-basic-grid myGrid" ></div></div>
				<!-- ui-grid-pagination  ui-grid-row-edit -->
			</div>
		</div>


	</div>
</div>

